/* bar.h - 2000/05/05 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __BAR_H__
#define __BAR_H__


/***************
 * Declaration *
 ***************/
GtkWidget      *MenuBar;
GtkWidget      *ProgressBar;
GtkWidget      *ToolBar;
GtkItemFactory *ItemFactory;
guint           StatusBarContext;

GtkWidget *CheckMenuItemBrowseSubdirMainMenu;

/* Tool Bar */
GtkWidget *TBFirstButton;
GtkWidget *TBPrevButton;
GtkWidget *TBNextButton;
GtkWidget *TBLastButton;
GtkWidget *TBScanButton;
GtkWidget *TBRemoveButton;
GtkWidget *TBUndoButton;
GtkWidget *TBApplyButton;
GtkWidget *TBScanAllButton;
GtkWidget *TBRemoveAllButton;
GtkWidget *TBUndoAllButton;
GtkWidget *TBApplyAllButton;
GtkWidget *TBQuitButton;


/*
 * This values are set to find the entry into the itemfactory
 * and (un)sensitive the item. (Value 0 = not define)
 */
enum Action_Menu 
{ 	
	PREV = 1,
	NEXT,
	FIRST,
	LAST,
	SCAN,
	REMOVE,
	UNDO,
	APPLY,
	SCAN_ALL,
	REMOVE_ALL,
	UNDO_ALL,
	APPLY_ALL,
	LOAD_HOME_DIR,
	LOAD_DEFAULT_DIR,
	SET_PATH_AS_DEFAULT,
	RECURSE,
	COLLAPSE_TREE,
	INITIALIZE_TREE,
	OPEN_OPTIONS_WINDOW,
	SAVE_CONFIG,
	OPEN_SCANNER_WINDOW,
	RUN_MP3_PLAYER,
	OPEN_ABOUT_WINDOW,
	QUIT,
	SORT_ASCENDING,
	SORT_DESCENDING
};


/**************
 * Prototypes *
 **************/

GtkWidget *Create_Menu_Bar (void);
GtkWidget *Create_Status_Bar (void);
void       Statusbar_Message (gchar *message, gint with_timer);
GtkWidget *Create_Progress_Bar (void);
GtkWidget *Create_Tool_Bar (void);
GtkWidget *Create_Access_Icon (void);

void Check_Menu_Item_Toggled_Browse_Subdir (GtkWidget *checkmenuitem);
void Check_Menu_Item_Update_Browse_Subdir (void);


#endif /* __BAR_H__ */

