/* dirbrowser.h - 2000/04/28 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __DIRBROWSER_H__
#define __DIRBROWSER_H__


/****************
 * Declarations *
 ****************/

typedef struct _DirNode DirNode;
struct _DirNode
{
        gboolean scanned;
        gchar *path;
};

typedef struct _FileRow FileRow;
struct _FileRow
{
        gchar *path;
};

GtkWidget *CheckMenuItemBrowseSubdirPopupMenu;
GtkWidget *BrowserEntry;
GtkWidget *BrowserHPaned;



/**************
 * Prototypes *
 **************/

GtkWidget  *Create_Browser_Tree (GtkWidget *parent);
gint        Browser_Tree_Select_Dir (gchar *current_path);
void        Browser_Tree_Rebuild (gchar *path_to_load);
void        Browser_Tree_Collapse (void);
//gint        Browser_Tree_Width (void);
//gint        Browser_Tree_Height (void);

void        Browser_List_Load_Files (void);
void        Browser_List_Clear (void);
void        Browser_List_Select_File (gint row);
void        Browser_List_Scroll_Vertical(GtkCList *clist, GtkScrollType scroll_type,
                                         gfloat position, gpointer user_data);

void        Browser_Entry_Set_Text (gchar *text);

void        Browser_Area_Set_Sensitive (gboolean activate);

void        Load_Home_Dir (void);
void        Load_Default_Dir (void);
gchar      *Get_Current_Path (void);
void        Set_Current_Path_As_Default (void);


#endif /* __DIRBROWSER_H__ */
