/* id3tag.h - 2001/02/16 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2001  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __ID3TAG_H__
#define __ID3TAG_H__


#include <glib.h>
#include "mp3types.h"

/****************
 * Declarations *
 ****************/



/**************
 * Prototypes *
 **************/

int 	Check_If_Mp3_By_Extension (gchar *filename);
int 	Id3tag_Read_Tag (MP3_File *mp3file);
int 	Id3tag_Write_Tag (MP3_File *mp3file);
void	Id3tag_Save_Displayed_Tag (MP3_File *mp3file);
void	Id3tag_Display_Tag (MP3_File *mp3file);
void	Id3tag_Load_Track_List (void);
void	Id3tag_Strip (gchar *string);

gchar  *Id3tag_Genre_To_String (unsigned char genre_code);
guchar  Id3tag_String_To_Genre (gchar *genre);


#endif /* __ID3TAG_H__ */
