/* scan.h - 2000/06/16 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __SCAN_H__
#define __SCAN_H__


#include "mp3types.h"

/****************
 * Declarations *
 ****************/
GtkWidget *ScannerWindow;


/**************
 * Prototypes *
 **************/

void Scan_Tag (MP3_File *mp3file);
void Scan_Tag_With_Mask (MP3_File *mp3file);
void Scan_Rename_File_With_Mask (MP3_File *mp3file);
void Scan_Process_Fields (MP3_File *mp3file);
void Scan_Select_Mode_And_Run_Scanner (void);

void Scan_Process_Fields_All_Uppercase (gchar *text);
void Scan_Process_Fields_All_Downcase (gchar *text);
void Scan_Process_Fields_Letter_Uppercase (gchar *text);
void Scan_Process_Fields_First_Letters_Uppercase (gchar *text);
void Scan_Process_Fields_Remove_Space (gchar *text);
void Scan_Process_Fields_Insert_Space (gchar *text);
void Scan_Process_Fields_Keep_One_Space (gchar *text);

void Scan_Convert_Underscore_Into_Space (gchar *string);
void Scan_Convert_P20_Into_Space (gchar *string);
void Scan_Convert_Space_Into_Undescore (gchar *string);

void Init_ScannerWindow (void);
void Open_ScannerWindow (void);
void Scan_Apply_Changes (void);

void Scan_Display_Info (void);
void Scan_Set_Scanner_Window_Init_Position (void);

/* For debugging */
void Scan_Display_Data_List (GList *list);
void Scan_Display_Data_List_Masks_List (void);


#endif /* __SCAN_H__ */
